/*
 C *lick nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
 */
/*
 *   Created on : 22 wrz 2023, 14:00:02
 *   Author     : Kamil Szwaradzki <kamil.szwaradzki at your.org>
 */
main {
    height: auto;
}

/* Custom properties/variables  */
:root {
    --main-white: #f0f0f0;
    --main-red: #be3144;
    --main-blue: #2196F3;
    --main-gray: #303841;
}
/* Base styles */

#projects    {
font-family: 'Poppins', sans-serif;
font-size: 1.8rem; /* 18px */
font-weight: 400;
line-height: 1.4;
color: black;
}

#chat-project-image {
object-fit: fill;
}

h1,
h2 {
    font-family: 'Raleway', sans-serif;
    font-weight: 700;
    text-align: center;
}

h1 {
    font-size: 6rem;
}

h2 {
    font-size: 4.2rem;
}

ul {
    list-style: none;
}

#projects a {
text-decoration: none;
color: var(--main-white);
}

img {
    display: block;
    width: 100%;
}
/* Projects section */

.projects-section {
    text-align: center;
    padding: 10rem 2rem;
    background: var(--main-blue);
}

.projects-section-header {
    max-width: 640px;
    margin: 0 auto 6rem auto;
    border-bottom: 0.2rem solid black;
}

@media (max-width: 28.75em) {
    main {
        margin-left: 0;
        margin-right: 0;
    }
    #projects {
    margin-top:0;
    width: fit-content;
    }
    .projects-section-header {
        font-size: 4rem;
    }
}

/* "Automagic" image grid using no media queries */
.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    grid-gap: 4rem;
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
    margin-bottom: 6rem;
}

@media (max-width: 30.625em) {
    .projects-section {
        padding: 6rem 1rem;
    }

    .projects-grid {
        grid-template-columns: 1fr;
    }
}

.project {
    background: var(--main-gray);
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
    border-radius: 2px;
}

.code {
    color: var(--main-gray);
    transition: color 0.3s ease-out;
}

.project:hover .code {
    color: #ff7f50;
}
#project-todolist, #project-jobapps {
object-fit: contain;
}

.project-image {
    height: calc(100% - 6.8rem);
    width: 100%;
    object-fit: cover;
}

.project-title {
    font-size: 2rem;
    padding: 2rem 0.5rem;
}

.btn {
    display: inline-block;
    padding: 1rem 2rem;
    border-radius: 2px;
}

.btn-show-all {
    font-size: 2rem;
    background: var(--main-gray);
    transition: background 0.3s ease-out;
}

.btn-show-all:hover {
    background: var(--main-red);
}

.btn-show-all:hover > i {
    transform: translateX(2px);
}

.btn-show-all > i {
    margin-left: 10px;
    transform: translateX(0);
    transition: transform 0.3s ease-out;
}
